tds_connection Struct Reference
Collaboration diagram for tds_connection:
[legend]

## Public Attributes

TDSAUTHENTICATION * | authentication
TDS_CAPABILITIES | capabilities
int | char_conv_count
TDSICONV ** | char_convs
int | client_spid
TDS_UCHAR | collation [5]
TDSCURSOR * | cursors
| linked list of cursors allocated for this connection contains only cursors allocated on the server
TDSDYNAMIC * | dyns
| list of dynamic allocated for this connection contains only dynamic allocated on the server
unsigned int | encrypt_single_packet:1
TDSENV | env
| environment is shared between all sessions
tds_mutex | list_mtx
unsigned | num_cached_packets
TDSPACKET * | packet_cache
unsigned int | pending_close:1
| true is connection has pending closing (cursors or dynamic)
char * | product_name
TDS_UINT | product_version
| version of product (Sybase/MS and full version)
TDS_SYS_SOCKET | s
| tcp socket, INVALID_SOCKET if not connected
char * | server
int | spid
unsigned int | tds71rev1:1
TDS_UCHAR | tds72_transaction [8]
const TDSCONTEXT * | tds_ctx
TDS_USMALLINT | tds_version
void * | tls_dummy
void * | tls_session
unsigned int | use_iconv:1
TDSPOLLWAKEUP | wakeup

The documentation for this struct was generated from the following file:

- include/freetds/tds.h